/* exs_extra.h */

/*
 * Copyright 2014 by
 *	University of New Hampshire Interoperability Laboratory
 *	121 Technology Drive, Suite 2
 *	Durham, NH 03824-4716
 *	phone: 1-603-862-0090
 *	fax: 1-603-862-4181
 *	e-mail: info@iol.unh.edu
 * All rights reserved.
 *
 * This file is part of the UNH EXS implementation of the
 * Consortium Specification: Extended Sockets API (ES-API) Issue 1.0,
 * Document Number C050 published by The Open Group, January 2005,
 * and copyright 2005 by The Open Group.
 *
 * This software is available to you under a choice of one of two
 * licenses.  You may choose to be licensed under the terms of the GNU
 * General Public License (GPL) Version 2, available from the file
 * COPYING.GPL in the main directory of this source tree, or the
 * BSD license, available from the file COPYING.BSD in the main directory
 * of this source tree.
 *
 * This material is based upon work supported by the National Science
 * Foundation under Grant No. OCI-1127228 and Grant No. DGE-0913620.
 *
 * Any opinions, findings, and conclusions or recommendations
 * expressed in this material are those of the authors and do not
 * necessarily reflect the views of the National Science Foundation.
 */

#ifndef EXS_EXTRA_H
#define EXS_EXTRA_H

int
dispatch_exs_events(exs_qhandle_t qh, int max_count,
					int (* const handlers[])(exs_event_t *),
					const struct timeval *timeout);

int
exs_connect_new(const char *const host, const char *const port,
		int family, int socktype, int flags, struct timeval *timeout,
		exs_qhandle_t qhandle, exs_ahandle_t ahandle);

int
our_bind_all(const char *hostname, const char *service,
		int family, int socktype, int **fds, int *nfds);

void
print_name_info(int fd, const struct sockaddr *sa, socklen_t salen,
							const char *message);

#endif
/* vim: set shiftwidth=8 tabstop=8 noexpandtab : */
